package function.builtin.special;

import function.*;
import sexpression.*;

@FunctionNames({ "QUOTE" })
public class QUOTE extends LispSpecialFunction {

    private ArgumentValidator argumentValidator;

    public QUOTE() {
        this.argumentValidator = new ArgumentValidator("QUOTE");
        this.argumentValidator.setExactNumberOfArguments(1);
    }

    public SExpression call(Cons argumentList) {
        argumentValidator.validate(argumentList);

        return argumentList.getFirst();
    }

}
